<script lang="ts" setup>
import type { Comment } from '~/entities';

defineProps<{
  list: Comment[]
}>()
</script>

<template>
  <div>
    <div class="card mt-1" v-for="comment of list" :key="comment.id">
      <div class="card-body">
        <h3 class="card-title" v-if="comment.author">{{ comment.author.email }}</h3>
        <h3 class="card-title" v-else>Deleted user</h3>
        

        <p>{{ comment.content }}</p>
        <p>{{ comment.createdAt }}</p>

      </div>
    </div>
  </div>
</template>

<style scoped></style>
